<div class="grouped-elements" data-anchor='engine' v-show="engine || fields.dvig_diag_comment">

<div class="titled">
    <div class="hidden-go-back" v-on:click='describeToAll( "engine" )'>
        <button  class="btn btn_s btn_primary btn_inline mb_m ">< Назад</button>
    </div>
    <div class="topper" v-on:click='describeChanger( "engine" )'>
        <div class="con print-hide">
            <svg width="50" height="50" viewBox="0 0 50 50" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M38.4873 22.075V25.35H36.2998V18.8125H28.3998V15.3875H31.7373V12.75H22.2748V15.3875H25.5373V18.8125H21.2248L17.7498 23H14.6248V26.575H11.7873V22.7875H8.9248V33.4125H11.7873V29.4H14.6248V33.5375H17.5623L21.2748 37.25H30.7123L36.2998 31.65V29.4125H38.4873V32.7125H41.0748V22.075H38.4873Z" stroke="#4A4A4A" stroke-linecap="round" stroke-linejoin="round"/>
                        <rect x="20.8335" y="27.0833" width="10.4167" height="1.04167" fill="#EFB23E"/>
                    </svg>
        </div>
        <div class="named">
            <h2> Двигатель и трансмиссия </h2>
        </div>
    </div>
    <div class="after-text" v-if="fields.dvig_diag_comment">
        <p> ${ fields.dvig_diag_comment } </p>
    </div>
</div>
<div class="content">
    <div class="conteiner-list">
        <div class="list-item">
            <checker2 :name="'Посторонние шумы'" :value="nullFieldstate(fields.postor_shumi, 'engine')" :com="fields.postor_shumi_com"
                ></checker2>
            <checker2 name="Запотевание/течи" :value="nullFieldstate(fields.zapotev_techi, 'engine')" :com="fields.zapotev_techi_com"
                ></checker2>
            <checker2 :name="'Работа ДВС'" :value="nullFieldstate(fields.ravnom_rab, 'engine')" :com="fields.ravnom_rab_com"
                ></checker2>
            <checker2 :name="'Уровень масла'" :value="nullFieldstate(fields.ur_masla, 'engine')" :com="fields.ur_masla_com"
                ></checker2>
            <checker2 :name="'Уровень жидкости охлаждающей системы'" :value="nullFieldstate(fields.ur_ohl_zhidk, 'engine')" :com="fields.ur_ohl_zhidk_com"
                ></checker2>
            <checker2 :name="'Обслуживание ДВС'" :value="nullFieldstate(fields.tr_obsl, 'engine')" :com="fields.tr_obsl_com"
                ></checker2>
            <checker2 :name="'Состояние приводных ремней'" :value="nullFieldstate(fields.sost_priv_rem, 'engine')" :com="fields.sost_priv_rem_com"
                ></checker2>
            <checker2 :name="'Работа КПП'" :value="nullFieldstate(fields.rabota_kpp, 'engine')" :com="fields.rabota_kpp_com"
                ></checker2>
        </div>
    </div>
</div>
</div>
<hr v-show="engine || fields.dvig_diag_comment"/>